> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get groups



## OpenAPI

````yaml /openapi/shop.json get /v1/shop/sales/{sale_id}/groups/
openapi: 3.0.3
info:
  title: Yume API — Магазин
  version: 1.0.0
  description: Витрина и публичные эндпоинты магазина.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/shop/sales/{sale_id}/groups/:
    get:
      tags:
        - sales
      summary: Get groups
      operationId: sales_groups_list
      parameters:
        - in: path
          name: sale_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrderSaleInventoryGroup'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    OrderSaleInventoryGroup:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          nullable: true
          title: Название
          maxLength: 512
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        category:
          type: integer
          nullable: true
          title: Категория
        unit_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Цена за единицу
        unit_count:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Количество единиц
        unit_type:
          allOf:
            - $ref: '#/components/schemas/UnitTypeEnum'
          title: Единица измерения
        unit_sum:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Итого за единицы
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        barcode:
          type: string
          nullable: true
          title: Штрихкод
          maxLength: 255
        extra:
          title: Доп. данные
        filters:
          type: array
          items:
            type: string
            maxLength: 32
          nullable: true
          title: Фильтры
        points:
          type: array
          items:
            type: integer
            maximum: 2147483647
            minimum: -2147483648
          title: Баллы
        published:
          type: boolean
          title: Опубликовано
        type:
          allOf:
            - $ref: '#/components/schemas/Type9ddEnum'
          title: Тип
          minimum: 0
          maximum: 32767
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        lifetime:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
          title: Срок службы, дней
        deleted:
          type: boolean
          readOnly: true
        sales:
          type: array
          items:
            $ref: '#/components/schemas/OrderSaleInventory'
      required:
        - created_at
        - deleted
        - id
        - sales
        - updated_at
    UnitTypeEnum:
      enum:
        - litre
        - kg
        - g
        - ml
        - piece
        - m3
      type: string
      description: |-
        * `litre` - Литр
        * `kg` - Килограмм
        * `g` - Грамм
        * `ml` - Миллилитр
        * `piece` - Штука
        * `m3` - Кубический метр
    Type9ddEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Аренда
        * `1` - Продажа
    OrderSaleInventory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inventory:
          allOf:
            - $ref: '#/components/schemas/BaseInventory'
          readOnly: true
        inventory_group:
          type: integer
          nullable: true
          title: Группа инвентаря
        inventory_group_count:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          title: Количество
        warehouse:
          type: integer
          nullable: true
          title: Склад
        counterparty:
          type: integer
          nullable: true
          title: Контрагент
        tarif:
          type: integer
          nullable: true
          title: Тариф
        discount:
          type: integer
          nullable: true
          title: Скидка
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_discount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        extra:
          title: Доп. данные
      required:
        - id
        - inventory
    BaseInventory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
          title: Группа инвентаря
        name:
          type: string
          title: Название
          maxLength: 255
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        category:
          type: integer
          nullable: true
          title: Категория
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        extra:
          title: Доп. данные
        subleases:
          type: array
          items:
            $ref: '#/components/schemas/InventorySublease'
          readOnly: true
        state:
          type: integer
          nullable: true
          title: Состояние
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        rental_point:
          type: integer
          nullable: true
          title: Точка проката
      required:
        - id
        - name
        - subleases
    InventorySublease:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inventory:
          type: integer
          title: Инвентарь
        user:
          type: integer
          title: Владелец субаренды
        percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          title: Процент субаренды
        start_at:
          type: string
          format: date-time
          nullable: true
          title: Начало периода
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец периода
        is_current:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
      required:
        - created_at
        - id
        - inventory
        - is_current
        - percent
        - user
    DisabledEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - удалить
        * `1` - Архив
        * `2` - Списано
    NullEnum:
      enum:
        - null
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````